Apps: Configuration
PUT /apps/{app_id}/app_configurationHeaders
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Path Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
name |
string | Yes | name of pulsate app |
image_s3_url |
string | No | image url of pulsate app |
reset |
boolean | No | only send this as true if you want to reset app image |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/app_configuration \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: application/json' \ --data '{ "image_s3_url": "image_url", "name": "app_name" }'Responses
Section titled “Responses”200
{ "banno_configuration": { "client_id": null, "client_secret": null, "institution_id": null, "public_key": null }, "custom_attributes_enabled": false, "hubspot": { "connected": false, "selected_fields": [ "city" ], "contacts_sync_status": "completed" }, "diid": null, "download_opportunity_files": { "app_file": true, "performance_files": true }, "ff_banno_push_send_to_url": false, "ff_beacons_enabled": true, "ff_campaigns_goals_enabled": false, "ff_card_disabled": false, "ff_change_notification_button_colors": false, "ff_concat_custom_attributes": false, "ff_core_member_id_upload": false, "ff_csv_users_upload": true, "ff_cunexus_enabled": false, "ff_dashboard_beta": true, "ff_demo_mode": false, "ff_email_enabled": false, "ff_emojis_enabled": true, "ff_excluded_from_cron_jobs_enabled": false, "ff_external_goal_file_upload_section": false, "ff_feed_post_plus_notification": true, "ff_geofences_enabled": true, "ff_infra_report_service_read": false, "ff_infra_report_service_send": false, "ff_infra_user_service_send": false, "ff_integrations": false, "ff_journeys_enabled": false, "ff_messages": false, "ff_notifications_extra_buttons_enabled": false, "ff_old_app_and_device_stats": false, "ff_opportunities_dashboard": true, "ff_opportunities_stats": false, "ff_pulsate_beta": true, "ff_push": true, "ff_push_ab_testing_enabled": true, "ff_push_notifications_full_access_enabled": true, "ff_push_rich_media": true, "ff_q2_in_app_enabled": false, "ff_small_in_app": true, "ff_sms_delivery": false, "ff_sms_enabled": false, "ff_web_sdk": false, "geofence_setting": { "geofence_feet_unit": true, "max_radius": 6561, "min_radius": 165 }, "http_webhooks_enabled": false, "icon": "https://pulsate-media-bucket-staging.pulsatehq.com/320x320/67e2b7f5a46a6fb2be317885/2025-03-26/1743015828_lom.png", "id": "67e2b7f5a46a6fb2be317885", "image": "https://pulsate-media-bucket-staging.pulsatehq.com/320x320/67e2b7f5a46a6fb2be317885/2025-03-26/1743015828_lom.png", "installed": false, "name": "M Hubspot 22", "oe_range_in_days": [ 7, 30, 90 ], "parent_company": null, "range_days": [ 7, 30, 60, 90 ], "verified_email_addresses": []}
